<?php
session_start();
$idUser = $_SESSION['UsuarioID'];
$idApoio =  $_SESSION['UsuarioApoio'];
$creditos = "";
$parametros = "";
$n = "|";

$nivel_necessario = 5;

// Verifica se não há a variável da sessão que identifica o usuário
if (!isset($_SESSION['UsuarioID']) OR ( $_SESSION['UsuarioNivel'] > $nivel_necessario)) {
	// Destrói a sessão por segurança
	session_destroy();
	// Redireciona o visitante de volta pro login
	header("Location: index.php");
	exit;
}

require_once("db.php");

?>

<div class="panel-heading">
	<strong>Arquivos Pendrive</strong>
</div>
<div class="panel-body">	
	<div class="row">
		

	<!-- /.row -->
	<?php
	if (!empty($_POST['id'])) {
	   
		$idponto = $_POST['id'];
			 
		$result = mysql_query("SELECT idprod, pendrive_id FROM tablet WHERE id_ponto = '$idponto'")or die(mysql_error());
	
	}else{
	 
		if ($_SESSION['UsuarioNivel'] == 1){
		  
		  $result = mysql_query("SELECT idprod, pendrive_id FROM tablet")or die(mysql_error());

		}      
			
		if ($_SESSION['UsuarioNivel'] == 3){
		  
		  $result = mysql_query("SELECT idprod, pendrive_id FROM tablet WHERE id_apoio = '$idUser'")or die(mysql_error());

		}    
		
		if ($_SESSION['UsuarioNivel'] > 3){
		  
		  $result = mysql_query("SELECT idprod, pendrive_id FROM tablet WHERE id_apoio = '$idApoio'")or die(mysql_error());

		}

	}
   $num =  mysql_num_rows($result);
	
	while ($row = mysql_fetch_array($result)) {
	
	$creditos .= strtoupper(substr(md5($row['idprod'] .$row['pendrive_id']) , 0, 4)).$n;
	$creditoh = strtoupper(substr(md5($row['idprod'] .$row['pendrive_id']) , 0, 4));
	$parametros .= md5($creditoh).$n;
		
	}          
   
		  
	$link1 = "gerfile.php?file=pendrive.cre&text=".$creditos;
	$link2 = "gerfile.php?file=pendrive.par&text=".$parametros;
	
	if($num != 0){
	 ?>
	 
	<div class="col-md-12">
		<div class="col-lg-6">
			<div class="panel panel-default">
				<div class="panel-heading">
					<i class="fa fa-paste fa-fw"></i> Lista de Créditos
				</div>
				<!-- /.panel-heading -->
				<div class="panel-body">
					<div class="list-group">
						<a href="<?php echo $link1 ?>" class="list-group-item">
							<i class="fa fa-money fa-fw"></i> Créditos
							<span class="pull-right text-muted small"><em>Download</em>
							</span>
						</a>
					   <br>
						   <?php
						  $valore=explode("|",$creditos,-1);
						   foreach ($valore as $valor) {
						   echo "<pre>" . $valor . "</pre>";
						   }
								   
						   ?>
					   
					</div>
					<!-- /.list-group -->
				</div>
				
				<!-- /.panel-body -->
			</div>
			<!-- /.panel -->
		  </div>
	
	
	
		<div class="col-lg-6">
			<div class="panel panel-default">
				<div class="panel-heading">
					<i class="fa fa-paste fa-fw"></i> Lista de Parâmetros
				</div>
				<!-- /.panel-heading -->
				<div class="panel-body">
					<div class="list-group">
					   
						<a href="<?php echo $link2 ?>" class="list-group-item">
							<i class="fa fa-gear fa-fw"></i> Parâmetros
							<span class="pull-right text-muted small"><em>Download</em>
							</span>
						</a>
					   <br>
						   <?php
						  $valore=explode("|",$parametros,-1);
						   foreach ($valore as $valor) {
						   echo "<pre>" . $valor . "</pre>";
						   }
								   
						   ?>
					</div>
					<!-- /.list-group -->
				</div>
				
				<!-- /.panel-body -->
			</div>
			<!-- /.panel -->
		</div>
	</div>
	
	
	<?php
		
	} else {
		echo "<div class='col-lg-12'>";
		echo "<div class='alert alert-warning alert-dismissable'>";
		echo "<button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>";
		echo "Não existem arquivos de pendrive para Download! </div></div>";    
	}
	?>
	
		<!-- /#wrapper -->
</div>
</div>